List domains in the current project

Returns every unique sending domain used by the accounts in the current project, along with their average score. Domains with no computed score are omitted.

Query Parameters
  • order
    Type: stringenum

    Sort the domains by average score. asc returns lowest score first, desc returns highest first. If omitted, domains are returned in insertion order.

    values
    • asc
    • desc
Responses
  • application/json
  • application/json
Request Example for get/v1/projects/domains
curl 'http://api.mailreach.co/api/v1/projects/domains?order=desc' \
  --header 'X-Api-Key: YOUR_SECRET_TOKEN'
{
  "domains": [
    {
      "id": 1041,
      "created_at": "2021-06-24T16:38:44.425Z",
      "updated_at": "2026-04-23T20:06:02.847Z",
      "domain": "acme.com",
      "creation_date": "2021-06-23T14:11:34.000Z",
      "last_check_at": "2026-04-20T23:46:39.081Z",
      "spf_valid": true,
      "spf_value": "v=spf1 include:spf.protection.outlook.com -all",
      "dkim_valid": true,
      "dkim_selector": "20251104",
      "dkim_value": "",
      "dmarc_valid": true,
      "dmarc_value": "v=DMARC1; p=none; rua=mailto:postmaster@acme.com",
      "domain_http_response": false,
      "domain_https": false,
      "avg_score": 99,
      "expire_at": "2026-06-23T14:11:34.000Z",
      "score_change": 0.75,
      "mx_records": [
        [
          "acme-com.mail.protection.outlook.com",
          "52.101.166.1",
          "0"
        ]
      ]
    }
  ]
}